
Redmine - Defect #4942

"Status can't be blank" on Issues page (After Upgrade)

2010-02-26 19:09 - Chris Geoghegan

Status: Closed Start date: 2010-02-26

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.2

Description

The very first time you load the Issues tab of a project (after upgrading from 0.8.7 to 0.9.2) it works, but any time after that you

receive the error "Status can't be blank". Status is selected and set to open though, so as soon as you click "Apply" the issues load

as they should.

This is the environment:

MySQL 5.0.51a-3ubuntu5.5

Ruby 1.8.6 (2007-09-24 patchlevel 111) [x86_64-linux]

Rails 2.3.5

Redmine 0.9.2 (http://redmine.rubyforge.org/svn/tags/0.9.2/script)

SVN 1.4.6 (r28521)

This is the request that is resulting in the error:

Processing IssuesController#index (for 70.70.147.184 at 2010-02-26 17:52:33) [GET]

Parameters: {"project_id"=>"godelta", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

Completed in 196ms (View: 152, DB: 0) | 200 OK [http://issues.imagexmedia.com/projects/godelta/issues]

There is no corresponding error in error.log

Related issues:

Related to Redmine - Defect #7156: #4942 Harvest? maybe not - status_id and d... Closed 2010-12-22

History

#1 - 2010-02-26 20:28 - Jean-Philippe Lang

I'm not able to reproduce with a fresh 0.9.2.

#2 - 2010-02-26 20:34 - Chris Geoghegan

Yeah, I think it might be an issue specifically with upgrading from 0.8.7 to 0.9.2. After doing a little more testing it appears that if I create a custom

query then select that. The error dissappears. I can browse away and browse back and there is no error.

However, as soon as I click "Clear" underneath the filters, then browse away to another page, and then back again, the error comes back. It's as

though it's not remembering that the default should be "Status is Open".

#3 - 2010-02-26 21:28 - Norbert Strappler

- % Done changed from 0 to 70

#4 - 2010-02-28 11:51 - Jean-Philippe Lang

- % Done changed from 70 to 0

I'm sorry but I can't reproduce even when upgrading a 0.8.7 to 0.9.2.

Did you make any change to the code?

Make sure to test with a fresh 0.9.2 code without any plugins.

#5 - 2010-03-01 18:34 - Chris Geoghegan

It has been tested with fresh 0.9.2 without any plugins. But the database is not new. If I test it with a fresh database it works as it should. It's

specifically an issue with the database we're using that we've upgraded from 0.8.7 to 0.9.2.

2025-05-17 1/2

http://redmine.rubyforge.org/svn/tags/0.9.2/script
http://issues.imagexmedia.com/projects/godelta/issues


~Chris

#6 - 2010-03-02 15:58 - Jean-Philippe Lang

What do you get if you test with the fresh 0.9.2 without plugins and your upgraded database?

#7 - 2010-03-27 05:36 - Jim Mulholland

We are getting the same error.  The error appears to be coming from the else clause on line 530 of the "retrieve_query" method in the

issues_controller:

@query ||= Query.new(:name => "_", :project => @project, :filters => session[:query][:filters], :group_by => s

ession[:query][:group_by], :column_names => session[:query][:column_names])

 where our "session[:query]" looks like this:

{:column_names=>nil, :project_id=>39, :filters=>{"status_id"=>{"operator"=>"o", "values"=>[""]}}, :group_by=>n

il}

 We also upgraded from a 0.8.x version to 0.9.2 when we started seeing this issue.

#8 - 2010-05-04 20:52 - Alexander Eriomenko

in my case deleting redmine_harvest plugin fixes that error

#9 - 2010-05-04 22:49 - Chris Geoghegan

- Status changed from New to Resolved

- % Done changed from 0 to 100

I'm marking this as resolved because I believe it is an issue with the redmine_harvest plugin. A clean upgrade without the module present resolves

the issue.

#10 - 2010-05-04 23:59 - Jim Mulholland

Good to know.  I'll checkout my plugin to see what the deal is.

Thanks!

#11 - 2010-05-05 00:12 - Chris Geoghegan

Thanks Jim! Please do up here again when it's fixed as I am sure there are others having this issue who would also like to use it.

#12 - 2010-08-09 00:08 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

- Resolution set to Invalid

Closing since it seems to be a plugin issue

#13 - 2013-03-22 14:55 - poornima dhanasekaran

Hi everyone,

I tried "@query ||= Query.new(:name => "_", :filters =>{"status_id"=>{"operator"=>"*"}, "tracker_id"=>{"operat

or"=>"="}} , :group_by => session[:query][:group_by], :column_names => session[:query][:column_names])" in que

ries_helper.rb for changing my session[:query][:filters]. I tried with this but getting "status can't be blank

 & tracker can't be blank" validation error. I didn't use the redmine_harvest plugin and gem too. Can anyone h

elp me out?.

 Thanks,

Poornima.
